<?php
session_start();
ob_start();
 include "../config/config.php"; 
 include "../config/function.php"; 
 
 $private_key=get_privatekey($_SESSION['admin_name']);
 $request_from_server=$_SERVER['HTTP_REFERER'];
$this_server=$_SERVER['HTTP_HOST'];
if($request_from_server!=''){
	check_access_url($request_from_server,$this_server);
}

// echo $_SESSION['login_status'];echo "<br>";
// echo $_SESSION['private_key'];echo "<br>";
// echo $_SESSION['admin_name'];echo "<br>";

if($_SESSION['login_status']!='YES' || $_SESSION['private_key']!=$private_key || $_SESSION['private_key']=='' || $_SESSION['admin_name']=='')
{
    echo "Blank";
	header("Location:../AppLogin");
	exit();
}
else
{
   $sys_date=date("Y-m-d H:i:s");

$event_name=strtoupper(RemoveSpecialChar($_REQUEST['event_name']));
$event_idn=str_shuffle("0123654789");

echo $str="Insert Into tbl_event_master (event_name,event_idn)value('$event_name','$event_idn')"; 
	mysqli_query($connection,$str);
 $msg="New Event Add Successfully....";

} 
header("Location:../AddNewEvent");
?>